## usplash-theme-ubuntustudio 0.15

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=-lm
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

ubuntustudio-theme.so: throbber_back.png.c.o throbber_back_alt.png.c.o throbber_fore.png.c.o throbber_fore_alt.png.c.o \
						 usplash_1024_768.png.c.o usplash_1365_768.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o ubuntustudio-theme.c.o

	$(LINK) -shared -o $@ $^
	
%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/lib/usplash
	$(INSTALL_PROGRAM) ubuntustudio-theme.so $(DESTDIR)/usr/lib/usplash/ubuntustudio-theme.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-ubuntustudio (0.15) gutsy; urgency=low

  * Changed throbber background to flat underline
  * Changed throbber foreground to have blue highlight on underside
  * Adjusted splash for new graphics

 -- Tonic Artos <ghatanothoa@gmail.com>  Thu, 04 Oct 2007 10:44:13 +1300 

usplash-theme-ubuntustudio (0.14) gutsy; urgency=low

  * Smoothed progress bar animation
  * Implemented harmonic motion for pulse animation
  * Fixed colours
  * Fixed text position
  * Adjusted text box size to only show five lines

 -- Tonic Artos <ghatanothoa@gmail.com>  Wed, 03 Oct 2007 12:06:29 +1300

usplash-theme-ubuntustudio (0.13) gutsy; urgency=low

  * Made some packaging adjustments, bringing this package in line
    with other usplash themes.
  * Build the correct set of images. Now more resolutions are
    supported.
  * Split out theme variables to allow non-coders to adjust where
    necessary.
  * Image cleanup and progress bar adjustments from Andrew.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 01 Oct 2007 08:41:50 +1000

usplash-theme-ubuntustudio (0.12) gutsy; urgency=low

  * made the loading bar look better touched up the logo

 -- Andrew Wedderburn <andrew.wedderburn@gmail.com>  Mon, 17 Sep 2007 22:28:13 +1000

usplash-theme-ubuntustudio (0.11) gutsy; urgency=low

  * Update to latest splash images, thanks to Andrew.

 -- Luke Yelavich <themuso@ubuntu.com>  Sun, 16 Sep 2007 22:13:57 +1000

usplash-theme-ubuntustudio (0.10) gutsy; urgency=low

  * Updated usplash thanks to Andrew.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 07 Sep 2007 22:00:24 +1000

usplash-theme-ubuntustudio (0.9) gutsy; urgency=low

  * Sync the bzr repository and the source package. We should use the
    bzr repo from now on.
  * debian/control: Add XS-Vcs-Bzr field.

 -- Luke Yelavich <themuso@ubuntu.com>  Sat, 28 Jul 2007 17:37:19 +1000

usplash-theme-ubuntustudio (0.8) gutsy; urgency=low

  * Initial Ubuntu release, bumping version to allow for smooth upgrades.
  * debian/control: Set Architecture to any; usplash works on sparc.
  * debian/copyright: Update licence for packaging.

 -- Toby Smithe <tsmithe@ubuntu.com>  Sun, 17 Jun 2007 12:21:38 +0100

usplash-theme-ubuntustudio (0.7) gutsy; urgency=low

  * Initial release.

 -- Janne Jokitalo (AstralJava) <janne.jokitalo@dnainternet.net>  Wed, 04 Apr 2007 13:14:57 +0300

## usplash-theme-ubuntustudio 0.18

=== debian/changelog ===
usplash-theme-ubuntustudio (0.18) hardy; urgency=low

  * Patch from Tonic Artos to ensure no artifacts are displayed if the progress
    bar is switched from pulsating, to displaying progress status. (LP: #210594)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 15 Apr 2008 12:04:41 +1000

usplash-theme-ubuntustudio (0.17) hardy; urgency=low

  * New usplash theme, thanks to Cory and Tonic Artos.

 -- Luke Yelavich <themuso@ubuntu.com>  Sun, 09 Mar 2008 09:07:31 +1100

usplash-theme-ubuntustudio (0.16) hardy; urgency=low

  * Update colours for usplash theme. Text such as passphrase prompting
    should now be visible. Thanks to Tonic Artos. (LP: #155130)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 24 Oct 2007 13:11:35 +1000

=== debian/control ===
Source: usplash-theme-ubuntustudio
Priority: optional
Section: misc
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntustudio-dev/usplash-theme-ubuntustudio/ubuntu

Package: usplash-theme-ubuntustudio
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Description: Usplash theme for Ubuntu Studio
 Ubuntu Studio's usplash theme

## usplash-theme-ubuntustudio 0.19

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=-lm
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

ubuntustudio-theme.so: bar_fg_1024.png.c.o bar_fg_800.png.c.o bar_fg_640.png.c.o \
						 bar_bg_1024.png.c.o bar_bg_800.png.c.o bar_bg_640.png.c.o \
						 throbber_fore_16.png.c.o throbber_back_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o ubuntustudio-theme.c.o
	$(LINK) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) ubuntustudio-theme.so $(DESTDIR)/usr/lib/usplash/ubuntustudio-theme.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-ubuntustudio (0.19) intrepid; urgency=low

  * Provides: usplash-theme to satisfy usplash Recommends

 -- Emmet Hikory <persia@ubuntu.com>  Sat, 16 Aug 2008 00:58:59 +0900

=== debian/control ===
Source: usplash-theme-ubuntustudio
Priority: optional
Section: misc
Maintainer: UbuntuStudio Developers <ubuntu-studio-devel@lists.ubuntu.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntustudio-dev/usplash-theme-ubuntustudio/ubuntu

Package: usplash-theme-ubuntustudio
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Provides: usplash-theme
Description: Usplash theme for Ubuntu Studio
 Ubuntu Studio's usplash theme

## usplash-theme-ubuntustudio 0.20

=== debian/changelog ===
usplash-theme-ubuntustudio (0.20) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #64147 for details.
  * debian/control: Bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 22:06:24 +0100

=== debian/control ===
Source: usplash-theme-ubuntustudio
Priority: optional
Section: misc
Maintainer: UbuntuStudio Developers <ubuntu-studio-devel@lists.ubuntu.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev (>= 0.5.30)
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntustudio-dev/usplash-theme-ubuntustudio/ubuntu

Package: usplash-theme-ubuntustudio
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.5.30)
Provides: usplash-theme
Description: Usplash theme for Ubuntu Studio
 Ubuntu Studio's usplash theme

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

# Build the package
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash-theme-ubuntustudio

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

.PHONY: build install binary-indep binary-arch binary clean
